EZ_TiePopupMenu(3)

NAME
EZ_TiePopupMenu - time a popup menu with a mouse button

SYNOPSIS
#include <EZ.h>

void EZ_TiePopupMenu( EZ_Widget *menu,
    int buttonN, int postposition)

ARGUMENTS
menu Specifies a popup menu.

buttonN Specifies a mouse button. Must be one of Button1, Button2 and Button3.

postPosition Specifies the position relative to the pointer to post the menu. Must be one of EZ_RIGHT, EZ_LEFT, EZ_BOTTOM, EZ_TOP, EZ_TOP_LEFT, EZ_BOTTOM_LEFT, EZ_TOP_LEFT, EZ_TOP_RIGHT and EZ_BOTTOM_RIGHT.

DESCRIPTION
EZ_TiePopupMenu ties a popup menu with a mouse button. The specified menu will be posted whenever the specified moust button is pressed.

SEE ALSO
EZ_DoPopup(3)